Bug 503986 - Virtualization bridge numbers appear to increment upon each new installation of the rhn-virtualization packages
Virtualization bridge numbers appear to increment upon each new installation ...
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Virtualization (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Milan Zázrivec
Red Hat Satellite QA List
Depends On:
Blocks: 462714
  Show dependency treegraph
Reported: 2009-06-03 13:08 EDT by Steve Salevan
Modified: 2014-07-04 09:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-07-04 09:29:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Salevan 2009-06-03 13:08:31 EDT
Description of problem:
For some reason that Wes and I haven't quite been able to divine, the xenbr<x> bridge numbers seem to increment upon systems serving as RHN Virtualization Hosts.  Our best guess as to why this is happening involves the reinstallation of the rhn-virtualization packages that occurs when a machine is re-entitled as a virtualization host on a Satellite.

Version-Release number of selected component (if applicable):
530, 5/29 build

How reproducible:

Steps to Reproduce:
1. Register and entitle a virtualization-capable machine to a Satellite, then run rhn_check
2. Follow Steely Dan's advice and do it again
3. Run ifconfig
Actual results:
xenbr<x> number incremented

Expected results:
xenbr<x> number not incremented

Additional info:
Comment 1 Devan Goodwin 2009-06-10 09:45:48 EDT
I cannot seem to reproduce this.

Could you clarify what you meant for step 2 by do it again? Was that just re-run rhn_check? Or remove virt entitlement, re-add it, then run run_check? Or re-register the machine entirely and start all over?

I've tried all three to be honest and can't get this to happen so any additional information you could provide would be useful.

Comment 2 Devan Goodwin 2009-06-10 10:26:51 EDT
It looks like xenbr0 tends to be created by /etc/xen/scripts/network-bridge, which can be called with arguments to create specific interfaces but I doubt that's what's going on here and I can find no places where we call this in our code.

In normal execution it's called from /etc/xen/xend-config.sxp with:

(network-script network-bridge)

The script looks like it uses this to define the interface number:

vifnum=${vifnum:-$(ip route list | awk '/^default / { print $NF }' | sed 's/^[^0-9]*//')}

Any chance there were networking/routing changes being made on this system between steps here?
Comment 3 Devan Goodwin 2009-06-10 10:27:54 EDT
Near as I can tell the script above is grabbing the 0 from eth0 on my system in the results of ip route list: dev eth0  proto kernel  scope link  src dev virbr0  proto kernel  scope link  src dev eth0  scope link 
default via dev eth0 

Could I get a list of network interfaces available on the system this appeared on?

Note You need to log in before you can comment on or make changes to this bug.